local revision = tonumber(("$Revision: 63301 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-01 09:54:06 -0500 (Sat, 01 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("WitchHunt", "WitchHunt")
if not Addon then return end

function Addon:Start()
    
    -- unlock the frame
    WitchHunt.db.profile.lock = false
    WitchHunt:UpdateLock()
    
    -- show the test
	WitchHunt:TriggerEvent("WitchHunt_Message", "[Ammo: See it works!]", "Orange")
	WitchHunt:ScheduleEvent("WitchHunt_Message", 1, "*Ammo: extra code*", "Yellow")
	WitchHunt:ScheduleEvent("WitchHunt_Message", 2, "+Ammo: Super duper strength+", "LtBlue")
end

function Addon:Stop()
    
    -- unlock the frame
    WitchHunt.db.profile.lock = true
    WitchHunt:UpdateLock()
end
